#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true
  CDev\RuTranslation\LifetimeHook\Enable:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-RuTranslation, type: enable, method: onEnable}
  CDev\RuTranslation\LifetimeHook\Disable:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-RuTranslation, type: disable, method: onDisable}
  CDev\RuTranslation\LifetimeHook\Upgrade\UpgradeTo550build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-RuTranslation, type: upgrade, method: onUpgrade, version: 5.5.0.0}
  CDev\RuTranslation\LifetimeHook\Upgrade\UpgradeTo551build5:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-RuTranslation, type: upgrade, method: onUpgrade, version: 5.5.1.5}
